Read-only preview
You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
SVM Tokens
Token Transfers
Returns SPL token transfers with program, authority, and account information.
GET
https://token-api.service.pinax.network/v1/svm/transfers
Requires bearer token — sign in to inject your team’s key.
Supported networks (1)
Required parameters
| Name | Type | Description |
|---|---|---|
networkrequired query | Enum · 1 | The Graph Network ID for SVM networks https://thegraph.com/networks solana e.g. solana |
Optional parameters
| Name | Type | Description |
|---|---|---|
signature query | Signature | Filter by transaction signature Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. 4Xj7G5UWDKWbPEKTMie8adzPD27qGRYLE9hpYwuad228Tw96aVBMqhc4XG5daAeLrJXGAqRnQw8Cbi129dQfynAd |
mint query | Mint | Filter by mint address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. So11111111111111111111111111111111111111112 |
source query | Address | Filter by token account address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. HuxWhQJLCvuuSzHuBkHX1PVJ2LrpVz8GnTCaEkMRKgM1 |
destination query | Address | Filter by token account address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. AtpmmidnYUTC1w62zHXfeXygDFQG8H2CU2fseFLwHiat |
program_id query | Program | Filter by SPL token program ID Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. TokenzQdBNbLqP5VEhdkAS6EPFLC1PHnBqCXEpPxuEb |
authority query | Address | Filter by authority address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. HFqU5x63VTqvQss8hp11i4wVV8bD44PvwucfZ2bU7gRe |
fee_payer query | Address | Filter by token account address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. 3ghZcDUBHDGbgKPzmNnDXpAPb7gp2ApfkRtPWqRrGNTo |
signer query | Address | Filter by token account address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. 3ghZcDUBHDGbgKPzmNnDXpAPb7gp2ApfkRtPWqRrGNTo |
start_time query | Datetime | UNIX timestamp in seconds or date string (e.g. "2025-01-01T00:00:00Z", "2025-01-01", ...). |
end_time query | Datetime | UNIX timestamp in seconds or date string (e.g. "2025-01-01T00:00:00Z", "2025-01-01", ...). |
start_block query | integer | Filter by block number |
end_block query | integer | Filter by block number |
limit query | integer | Number of items* returned in a single request. *Plan restricted. |
page query | integer | Page number to fetch. Empty `data` array signifies end of results. |
Response
200 OK{ "data": [ { "block_num": 413069155, "datetime": "2026-04-14 02:08:00", "timestamp": 1776132480, "signature": "2HZjoVC9q35EoBDn8z6DfE7jtiua4cZiqBtmpc86cXTF1EoRwK8JPQM9SbTPMhnBMsTk32jtcGQ3sgpKCDK8jULv", "transaction_index": 171, "instruction_index": 2, "stack_height": 2, "fee_payer": "3ghZcDUBHDGbgKPzmNnDXpAPb7gp2ApfkRtPWqRrGNTo", "signer": "3ghZcDUBHDGbgKPzmNnDXpAPb7gp2ApfkRtPWqRrGNTo", "signers": [ "3ghZcDUBHDGbgKPzmNnDXpAPb7gp2ApfkRtPWqRrGNTo" ], "fee": 5000, "compute_units_consumed": 55785, "program_id": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA", "mint": "So11111111111111111111111111111111111111112", "source": "AtpmmidnYUTC1w62zHXfeXygDFQG8H2CU2fseFLwHiat", "destination": "GMKAWHL8TKcaDEHoCEkqxSS9QxCppZStXqdF4p4sbLhu", "authority": "3ghZcDUBHDGbgKPzmNnDXpAPb7gp2ApfkRtPWqRrGNTo", "multisig_authority": [], "amount": "1947170680", "network": "solana" } ] }